﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Net;
using System.Linq;
using System.Reflection;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;

using Infragistics.Windows;
using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using Infragistics.Windows.Ribbon;

namespace RibbonTester
{
    public partial class AgentDesktop
    {
        public AgentDesktop()
        {
            this.InitializeComponent();
            this.Closed += new EventHandler(AgentDesktop_Closed);
        }

        void AgentDesktop_Closed(object sender, EventArgs e)
        {
            Application.Current.Shutdown();
        }

        private void OnWindowLoad(object sender, RoutedEventArgs e)
        {
            try
            {
                for (int i = 0; i < 6; i++)
                {
                    RibbonTabItem tab = new RibbonTabItem() { Header = "Tab " + i.ToString() };
                    tab.MouseEnter += new System.Windows.Input.MouseEventHandler(tab_MouseEnter);
                    mainRibbon.Tabs.Add(tab);
                    for (int j = 0; j < 6; j++)
                    {
                        RibbonGroup group = new RibbonGroup() { Id = "Group: " + i.ToString() + ":" + j.ToString(), Caption = "Group " + j.ToString() };
                        tab.RibbonGroups.Add(group);
                        ToolHorizontalWrapPanel panel = new ToolHorizontalWrapPanel();
                        
                        for (int k = 0; k < 8; k++)
                        {
                            BitmapImage bmp = new BitmapImage();
                            bmp.BeginInit();
                            bmp.UriSource = new Uri("\\Images\\bug_error.png", UriKind.Relative);
                            bmp.EndInit();
                            panel.Children.Add(new ButtonTool() { Id = "Button:" + i.ToString() + ":" + j.ToString() + ":" + k.ToString(), Caption = "Button " + k.ToString(), SmallImage = bmp });
                        }

                        group.Items.Add(panel);
                    }
                }
            }
            catch (Exception ex)
            {
                System.Windows.MessageBox.Show(ex.ToString());
            }
        }

        void tab_MouseEnter(object sender, System.Windows.Input.MouseEventArgs e)
        {
            RibbonTabItem tab = sender as RibbonTabItem;
            if (tab != null)
            {
                tab.IsSelected = true;
            }
        }
    }
}